org.apache.ignite.ml.preprocessing.encoding

## Class EncoderPartitionData

- java.lang.Object
- - org.apache.ignite.ml.preprocessing.encoding.EncoderPartitionData

- All Implemented Interfaces:
    AutoCloseable

      public class EncoderPartitionData
      extends Object
      implements AutoCloseable

  Partition data used in Encoder preprocessor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncoderPartitionData()` Constructs a new instance of String Encoder partition data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Integer>[]` | `categoryFrequencies()` Gets the array of maps of frequencies by value in partition for each feature in the dataset.
    `void` | `close()`
    `Map<String,Integer>` | `labelFrequencies()` Gets the map of frequencies by value in partition for label.
    `TargetCounter[]` | `targetCounters()` Gets the map of target encoding meta by value in partition for label.
    `EncoderPartitionData` | `withCategoryFrequencies(Map<String,Integer>[] categoryFrequencies)` Sets the array of maps of frequencies by value in partition for each feature in the dataset.
    `EncoderPartitionData` | `withLabelFrequencies(Map<String,Integer> labelFrequencies)` Sets the map of frequencies by value in partition for label.
    `EncoderPartitionData` | `withTargetCounters(TargetCounter[] targetCounters)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncoderPartitionData

          public EncoderPartitionData()

      Constructs a new instance of String Encoder partition data.

  - ### Method Detail

    - #### categoryFrequencies

          public Map<String,Integer>[] categoryFrequencies()

      Gets the array of maps of frequencies by value in partition for each feature in the dataset.
      Returns:
        The frequencies.

    - #### labelFrequencies

          public Map<String,Integer> labelFrequencies()

      Gets the map of frequencies by value in partition for label.
      Returns:
        The frequencies.

    - #### targetCounters

          public TargetCounter[] targetCounters()

      Gets the map of target encoding meta by value in partition for label.
      Returns:
        The target encoding meta.

    - #### withCategoryFrequencies

          public EncoderPartitionData withCategoryFrequencies(Map<String,Integer>[] categoryFrequencies)

      Sets the array of maps of frequencies by value in partition for each feature in the dataset.
      Parameters:
        `categoryFrequencies` - The given value.
      Returns:
        The partition data.

    - #### withLabelFrequencies

          public EncoderPartitionData withLabelFrequencies(Map<String,Integer> labelFrequencies)

      Sets the map of frequencies by value in partition for label.
      Parameters:
        `labelFrequencies` - The given value.
      Returns:
        The partition data.

    - #### withTargetCounters

          public EncoderPartitionData withTargetCounters(TargetCounter[] targetCounters)

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023